> ## Documentation Index
> Fetch the complete documentation index at: https://docs.renaiss.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取卡牌详情

> 按代币 ID 查询公开可见的藏品，查看其详情、持有人地址和历史价格。

使用卡牌的十进制代币 ID，无需发送凭据。若卡牌仍在卡包库存中或等待交付，`ownerAddress` 为抽卡库存合约地址。响应不包含私有预留信息和回购授权。

`rixPriceInUsd` 中的 RIX 估值就是这张卡的预估公允市价（FMV），单位为美分。当前卖价和买单请查[订单簿](https://docs.renaiss.xyz/cn/api-reference/marketplace/get-orders.md)。

## 请求

公开查询

## 响应

## 错误码

在下表中查找接口返回的 HTTP 状态码和响应原文。有关各接口通用的处理建议，请参阅[错误码含义与处理方式](https://docs.renaiss.xyz/cn/api-reference/errors.md)。

| HTTP | 错误码 | 文本字段 | 响应文本与处理方式 |
| :- | :- | :- | :- |
| `400` | `WRONG_REQUEST_PARAMS` | `error` | `Invalid marketplace request` 请核对查询参数或十进制代币 ID。 |
| `401` | `API_AUTH_INVALID_CREDENTIAL` | `error` | `Invalid authentication credential` 某个凭据请求头格式错误。请移除凭据后重试。 |
| `403` | `API_AUTH_CREDENTIAL_NOT_ALLOWED` | `error` | `Credential is not allowed by this policy` 请移除凭据请求头后重试。 |
| `404` | `COLLECTIBLE_NOT_FOUND` | `error` | `Collectible not found` 代币 ID 未知或藏品在该 API 中不可用。请核对 ID，不要用同一 ID 重试。 |
| `500` | `API_AUTH_ERROR` | `error` | `Internal server error` |
| `500` | `FUNCTION_ERROR` | `error` | `Internal server error` |
| `500` | `COLLECTIBLE_GET_FAILED` `TOKEN_PRICING_QUERY_FAILED` | `error` | `Internal server error` 请稍后重新查询。 |
| `500` | 其他错误码 | `error` | `Internal server error` |
| `500` | 无错误码 | `text/plain` | `Internal Server Error` |


## OpenAPI

````yaml cn/api-reference/openapi.json GET /v2/marketplace/collectibles/{tokenId}
openapi: 3.1.1
info:
  version: 1.0.0
  title: Renaiss 开发者 API v2
  description: >-
    在 BNB 智能链（链 ID 56）上使用外部钱包接入抽卡、交易市场和实物兑换。所有已批准且有效的开发者密钥均可准备购买。


    藏品包括钱包可抽取、交易、回售或兑换的物品，例如卡牌。接口路径、字段和描述统一使用 collectible 表示藏品。


    可以匿名浏览目录。准备购买后，请由买家钱包签名。抽卡记录和回购报价需要开发者密钥，购买和回购还需操作签名。私有配送信息及兑换需要钱包访问令牌，由钱包在已注册的合作方来源签署登录消息后签发。抽卡和市场不使用钱包访问令牌。请在后端保管开发者密钥。


    操作钱包可以是 EOA 或已部署的 ERC-1271 合约账户。不支持 EIP-7702 委托账户、ERC-6492 或 ERC-8010 封装签名及
    Renaiss 托管的 Safe（签名验证后才会识别并拒绝该类 Safe）。无法接收 ERC-721 的合约钱包抽卡会返回
    `CONTRACT_WALLET_CANNOT_RECEIVE_NFT`。链上读取失败返回
    `API_AUTH_ERROR`（500）。钱包访问令牌及实物兑换仅支持 EOA。
servers:
  - url: https://api.renaiss.xyz
    description: BNB 智能链主网
  - url: https://dev-api.renaiss.xyz
    description: BNB 测试网
security: []
tags:
  - name: Gacha v2
    description: 使用 EOA 浏览和购买卡包、揭晓藏品、读取购买记录及回购。无需钱包访问令牌。
  - name: Marketplace
    description: 公开浏览藏品，通过外部钱包挂牌、出价、购买或撤单。交易需要开发者授权及钱包操作签名。
  - name: Users
    description: 查询特定钱包的藏品、市场总估值和链上活动。仅需开发者密钥，各接口按相应的可见范围返回记录。
  - name: Redemption
    description: 查询兑换资格、运费报价，准备并提交兑换及跟踪物流。需要开发者密钥及同一钱包的访问令牌。
  - name: Wallet access tokens
    description: >-
      获取、刷新或撤销实物兑换使用的钱包访问令牌。钱包签署一次性登录消息（5 分钟有效）后，API 返回访问令牌（15 分钟）和一次性刷新令牌（7
      天）。先注册精确的合作方前端来源。抽卡和市场无需钱包访问令牌。
paths:
  /v2/marketplace/collectibles/{tokenId}:
    get:
      tags:
        - Marketplace
      summary: 获取公开藏品详情和价格历史
      description: 按代币 ID 查询公开可见的藏品，查看其详情、持有人地址和历史价格。
      parameters:
        - schema:
            type: string
            pattern: ^\d+$
          required: true
          name: tokenId
          in: path
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  collectible:
                    type: object
                    properties:
                      tokenId:
                        type: string
                        description: 以十进制字符串无损表示的代币 ID。
                        pattern: ^\d+$
                      name:
                        type: string
                      ownerAddress:
                        type: string
                        minLength: 42
                        maxLength: 42
                      askPriceInUSDT:
                        type: string
                        description: 精度为 18 位的 USDT 最小单位，或 `NO-ASK-PRICE`。
                      askExpiresAt:
                        type: string
                      frontImageUrl:
                        type: string
                        format: uri
                      type:
                        type: string
                        enum:
                          - POKEMON
                          - ONE_PIECE
                          - SPORTS
                        description: 藏品类别。
                      attributes:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            value:
                              type: string
                          required:
                            - key
                            - value
                        description: >-
                          藏品属性以键值对返回。卡牌依次使用 Grader、Grade、Cert
                          Number、Year、Set、Card
                          Number、Character、Language。没有值的属性会省略，所有值均为字符串。
                      rixPriceInUsd:
                        type: string
                        description: >-
                          藏品的公允市价（FMV）估值，由 Renaiss Index（RIX）提供，单位为美分。暂无估值时返回
                          `NO-RIX-PRICE`。
                      rixPriceUpdatedAt:
                        type:
                          - string
                          - 'null'
                        description: >-
                          `rixPriceInUsd` 中的 RIX 估值（FMV）最近一次更新的时间。无时间记录时返回
                          `null`。
                      owner:
                        type:
                          - object
                          - 'null'
                        properties:
                          username:
                            type: string
                          image:
                            type: string
                            format: uri
                        required:
                          - username
                      backImageUrl:
                        type: string
                        format: uri
                    required:
                      - tokenId
                      - name
                      - ownerAddress
                      - askPriceInUSDT
                      - frontImageUrl
                      - type
                      - attributes
                      - rixPriceInUsd
                      - owner
                  pricing:
                    type: object
                    properties:
                      top_offer:
                        type:
                          - object
                          - 'null'
                        properties:
                          value:
                            type: string
                          token:
                            anyOf:
                              - type: string
                                enum:
                                  - USDT
                              - type: string
                                enum:
                                  - USD
                        required:
                          - value
                          - token
                      last_sale:
                        type:
                          - object
                          - 'null'
                        properties:
                          value:
                            type: string
                          token:
                            anyOf:
                              - type: string
                                enum:
                                  - USDT
                              - type: string
                                enum:
                                  - USD
                        required:
                          - value
                          - token
                      price_history:
                        type: array
                        items:
                          type: object
                          properties:
                            timestamp:
                              type: string
                            amount:
                              type: object
                              properties:
                                value:
                                  type: string
                                token:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - USDT
                                    - type: string
                                      enum:
                                        - USD
                              required:
                                - value
                                - token
                          required:
                            - timestamp
                            - amount
                    required:
                      - top_offer
                      - last_sale
                      - price_history
                required:
                  - collectible
                  - pricing
        '400':
          description: |-
            市场请求无效。

            见[错误码与处理方式](/cn/api-reference/marketplace/get-card#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - WRONG_REQUEST_PARAMS
                required:
                  - error
                  - code
              example:
                error: Invalid marketplace request
                code: WRONG_REQUEST_PARAMS
        '401':
          description: |-
            凭据格式无效。

            见[错误码与处理方式](/cn/api-reference/marketplace/get-card#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - API_AUTH_INVALID_CREDENTIAL
                required:
                  - error
                  - code
              example:
                error: Invalid authentication credential
                code: API_AUTH_INVALID_CREDENTIAL
        '403':
          description: |-
            此公开查询不接受凭据。

            见[错误码与处理方式](/cn/api-reference/marketplace/get-card#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - API_AUTH_CREDENTIAL_NOT_ALLOWED
                required:
                  - error
                  - code
              example:
                error: Credential is not allowed by this policy
                code: API_AUTH_CREDENTIAL_NOT_ALLOWED
        '404':
          description: |-
            未找到藏品。

            见[错误码与处理方式](/cn/api-reference/marketplace/get-card#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - COLLECTIBLE_NOT_FOUND
                required:
                  - error
                  - code
              example:
                error: Collectible not found
                code: COLLECTIBLE_NOT_FOUND
        '500':
          description: |-
            服务端暂时失败，请稍后重试。

            见[错误码与处理方式](/cn/api-reference/marketplace/get-card#http-errors)。
          content:
            text/plain:
              schema:
                type: string
              example: Internal Server Error
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                required:
                  - error
                  - code
              example:
                error: Internal server error
                code: FUNCTION_ERROR

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.